package com.goafanti.evaluation.bo;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;

public class Step2 {
	@NotNull
	@Max(value = 5)
	private Integer	accessMethod;
	
	@NotNull
	@Max(value = 5)
	private Integer	legalStatus;
	
	@NotNull
	@Max(value = 5)
	private Integer	patentMaintenance;
	
	@NotNull
	@Max(value = 5)
	private Integer	confidentiality;
	
	@NotNull
	@Max(value = 5)
	private Integer	decidability;
	
	@NotNull
	@Max(value = 5)
	private Integer	hasRightLimitation;

	public Integer getAccessMethod() {
		return accessMethod;
	}

	public void setAccessMethod(Integer accessMethod) {
		this.accessMethod = accessMethod;
	}

	public Integer getLegalStatus() {
		return legalStatus;
	}

	public void setLegalStatus(Integer legalStatus) {
		this.legalStatus = legalStatus;
	}

	public Integer getPatentMaintenance() {
		return patentMaintenance;
	}

	public void setPatentMaintenance(Integer patentMaintenance) {
		this.patentMaintenance = patentMaintenance;
	}

	public Integer getConfidentiality() {
		return confidentiality;
	}

	public void setConfidentiality(Integer confidentiality) {
		this.confidentiality = confidentiality;
	}

	public Integer getDecidability() {
		return decidability;
	}

	public void setDecidability(Integer decidability) {
		this.decidability = decidability;
	}

	public Integer getHasRightLimitation() {
		return hasRightLimitation;
	}

	public void setHasRightLimitation(Integer hasRightLimitation) {
		this.hasRightLimitation = hasRightLimitation;
	}

}
